Package org.italiangrid.voms.ac.impl

# Class DefaultVOMSValidationStrategy

java.lang.Object
org.italiangrid.voms.ac.impl.DefaultVOMSValidationStrategy

All Implemented Interfaces:
  `VOMSACValidationStrategy`

public class DefaultVOMSValidationStrategy extends Object implements VOMSACValidationStrategy
The Default VOMS validation strategy.

Author:
  andreaceccanti

## Constructor Summary

Constructors
Constructor
Description
`DefaultVOMSValidationStrategy(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator)`
`DefaultVOMSValidationStrategy(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, LocalHostnameResolver resolver)`

## Method Summary

Modifier and Type
Method
Description
`VOMSValidationResult`
`validateAC(VOMSAttribute attributes)`
Validates VOMS attributes not extracted from a certificate chain (e.g., as returned from the VOMS server)
`VOMSValidationResult`
`validateAC(VOMSAttribute attributes, X509Certificate[] chain)`
Validates a VOMS Attribute Certificate

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultVOMSValidationStrategy

public DefaultVOMSValidationStrategy(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, LocalHostnameResolver resolver)

### DefaultVOMSValidationStrategy

public DefaultVOMSValidationStrategy(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator)

## Method Details

### validateAC

public VOMSValidationResult validateAC(VOMSAttribute attributes)
Description copied from interface: `VOMSACValidationStrategy`
Validates VOMS attributes not extracted from a certificate chain (e.g., as returned from the VOMS server)

Specified by:
  `validateAC` in interface `VOMSACValidationStrategy`
Parameters:
  `attributes` - the VOMS attributes
Returns:
  a `VOMSValidationResult` object describing the outcome of the validation

### validateAC

public VOMSValidationResult validateAC(VOMSAttribute attributes, X509Certificate[] chain)
Description copied from interface: `VOMSACValidationStrategy`
Validates a VOMS Attribute Certificate

Specified by:
  `validateAC` in interface `VOMSACValidationStrategy`
Parameters:
  `attributes` - the parsed VOMS attributes
  `chain` - the certificate chain from which the attributes were parsed
Returns:
  a `VOMSValidationResult` object describing the outcome of the validation